package com.qmth.teachcloud.common.enums;

/**
 * @Description: 教研分析试卷状态枚举类
 * @Author: CaoZixuan
 * @Date: 2022-05-24
 */
public enum GradeAnalyzePaperStatusEnum {
    SETTING_GRADE_PAPER("数据准备中","创建批次数据且无分析课程时的状态。（无科目数据）"),
    PUSH_GRADE_BATCH("提交分析数据","批次下每创建分析课程且还没有重新提交分析批次时的状态"),
    SETTING_GRADE_PAPER_PARAM("蓝图数据准备中","推送分析数据给教研分析并且返回成功则设置此状态，并给命题老师发待办提醒。（如果推送失败则在推送任务管理里重新发起推送）"),
    READY_TO_CALCULATE("待计算","批次下的所有科目都已上传蓝图数据则设置此状态"),
    CALCULATING("计算中","发起分析则设置此状态。（发起分析后针对批次返回任务状态和进度，科目只显示计算中状态不显示进度。如果计算失败则在批次界面可以重新开始分析[断点续传]和错误原因.txt）"),
    FINISH_CALCULATE("已完成","分析完毕后则设置此状态");

    private final String desc;
    private final String interpret;


    GradeAnalyzePaperStatusEnum(String desc, String interpret) {
        this.desc = desc;
        this.interpret = interpret;
    }



    public String getDesc() {
        return desc;
    }

    public String getInterpret() {
        return interpret;
    }
}
